### Constructor

# Msg MessageService new

#### Declaration [src]

    MsgMessageService*
    msg_message_service_new (
      MsgAuthorizer* authorizer
    )

#### Description

No description available.

#### Parameters

`authorizer`

  Type: `MsgAuthorizer`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `MsgMessageService`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.